Bug 420941 - "yum install kernel" messed up
"yum install kernel" messed up
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 23:41 EST by Ralf Corsepius
Modified: 2014-01-21 18:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 12:03:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-12-11 23:41:42 EST
Description of problem:


# yum install kernel
...
Setting up Install Process
Parsing package install arguments
Package kernel - 2.6.23.8-63.fc8.x86_64 is already installed.
Resolving Dependencies
--> Running transaction check
---> Package kernel.x86_64 0:2.6.23.1-42.fc8 set to be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:2.6.23.1-49.fc8 set to be erased
---> Package kernel.x86_64 0:2.6.23.1-42.fc8 set to be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 kernel                  x86_64     2.6.23.1-42.fc8  fedora             16 M
Removing:
 kernel                  x86_64     2.6.23.1-49.fc8  installed          62 M

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       1 Package(s)         

Total download size: 16 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  package kernel-2.6.23.1-49.fc8.x86_64 (which is newer than
kernel-2.6.23.1-42.fc8.x86_64) is already installed
  package kernel-2.6.23.8-63.fc8.x86_64 (which is newer than
kernel-2.6.23.1-42.fc8.x86_64) is already installed

Error Summary
-------------



The same on i686:

# yum install kernel
...
Setting up Install Process
Parsing package install arguments
Package kernel - 2.6.23.1-42.fc8.i686 is already installed.
Package kernel - 2.6.23.8-63.fc8.i686 is already installed.
Resolving Dependencies
--> Running transaction check
---> Package kernel.i586 0:2.6.23.1-42.fc8 set to be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.i586 0:2.6.23.1-42.fc8 set to be installed
---> Package kernel.i686 0:2.6.23.1-42.fc8 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 kernel                  i586       2.6.23.1-42.fc8  fedora             16 M
Removing:
 kernel                  i686       2.6.23.1-42.fc8  installed          45 M

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       1 Package(s)         

Total download size: 16 M
Is this ok [y/N]: y
Downloading Packages:
(1/1): kernel-2.6.23.1-42 100% |=========================|  16 MB    00:14     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  package kernel-2.6.23.8-63.fc8.i686 (which is newer than
kernel-2.6.23.1-42.fc8.i586) is already installed
  package kernel-2.6.23.1-42.fc8.i586 is already installed

Error Summary
-------------



Version-Release number of selected component (if applicable):
yum-3.2.8-2.fc8

How reproducible:
Always.


Steps to Reproduce:
1. run 
yum install kernel

  
Actual results:
c.f. above.

Expected results:
Function. The behavior above is nonsensical.
Comment 1 Seth Vidal 2007-12-12 01:13:25 EST
oh my, yes, something is completely gone wrong here. looking into it in the am.

thanks
Comment 2 Seth Vidal 2008-03-12 12:03:50 EDT
And fixed in yum 3.2.10 and above. Mainly by fixing how it was matching the
package and also increasing the installonly_limit option by 1

Note You need to log in before you can comment on or make changes to this bug.